| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/basetexfact.h File Reference

Texture factory base. More...

`#include "csextern.h"`
`#include "csutil/scf_implementation.h"`
`#include "itexture/itexfact.h"`

Go to the source code of this file.

## Classes
class | csBaseTextureFactory
| Base class for texture factories, with support for common parameters. More...

## Detailed Description

Texture factory base.

Definition in file basetexfact.h.